Subject: 30.0.91; Can't delete an empty symlink when trashing is enabled for root

From: the_wurfkreuz <[email-masked]>
Date: Tue, 03 Dec 2024 19:51:35 +0000

If I evaluate the code to enable trashing for root and try to delete an empty symbolic link from Eshell, I get:
File is missing: /path/to/link

Steps to reproduce:

1. emacs -Q
2. M-: (connection-local-set-profile-variables 'remote-trash-directory '((trash-directory . "/sudo::~/.local/share/trash/")))
3. M-: (connection-local-set-profiles `(:application tramp :protocol "sudo" :machine ,(system-name)) 'remote-trash-directory)
4. M-x eshell
5. (require 'em-tramp)
6. (setq delete-by-moving-to-trash t)
7. sudo touch /usr/local/bin/test-file
8. ln -s /sudo::/usr/local/bin/test-file /sudo::/usr/local/bin/test-file-line
9. sudo rm /usr/local/bin/test-file
10. sudo rm /usr/local/bin/test-file-line

"File is missing: /usr/local/bin/test-file-link".

Expected behavior:

I'm able to delete it.